Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/at: renamed init script from at to atd

From: Alexander Belkov <msun00_at_yandex.ru>
Date: Sat, 27 Feb 2016 08:16:35 +0000

Init script for at-daemon failed to start /usr/sbin/atd until the srcipt has not been renamed because $SVCNAME returns basename of the script. The fact skipped my mind... Please commit this patch to fix the annoying bug.

---
 testing/at/APKBUILD  | 14 +++++++-------
 testing/at/at.initd  | 27 ---------------------------
 testing/at/atd.initd | 27 +++++++++++++++++++++++++++
 3 files changed, 34 insertions(+), 34 deletions(-)
 delete mode 100644 testing/at/at.initd
 create mode 100644 testing/at/atd.initd
diff --git a/testing/at/APKBUILD b/testing/at/APKBUILD
index 3562c0a..85cbf4e 100644
--- a/testing/at/APKBUILD
+++ b/testing/at/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Alexander Belkov <msun00_at_yandex.ru>
 pkgname=at
 pkgver=3.1.16
-pkgrel=3
+pkgrel=4
 pkgdesc="AT and batch delayed command scheduling utility and daemon"
 url="http://packages.qa.debian.org/a/at.html"
 arch="all"
_at_@ -17,7 +17,7 @@ source="http://http.debian.net/debian/pool/main/a/at/at_$pkgver.orig.tar.gz
 	10-parsetime.y-1.patch
 	10-Makefile.in-1.patch
 	at.allow
-	at.initd
+	atd.initd
 	"
 
 _builddir="${srcdir}/at-${pkgver}"
_at_@ -51,8 +51,8 @@ package() {
 
 	make IROOT="$pkgdir" install || return 1
 
-	/usr/bin/install -m 755 -D "$srcdir"/at.initd \
-		"$pkgdir"/etc/init.d/at || return 1
+	/usr/bin/install -m 755 -D "$srcdir"/atd.initd \
+		"$pkgdir"/etc/init.d/atd || return 1
 }
 
 md5sums="d05da75d9b75d93917ffb16ab48b1e19  at_3.1.16.orig.tar.gz
_at_@ -60,16 +60,16 @@ abb292896ed30e1f248dfebf4c4a6fb8  10-parsetime.l-1.patch
 39823f4034d2b5b2000ca717938f930f  10-parsetime.y-1.patch
 519f72f88e58b5ce79aff376ec90fcc9  10-Makefile.in-1.patch
 74cc1c60799e0a786ac7094b532f01b1  at.allow
-86fec213b2337300ea6641de9098d57a  at.initd"
+86fec213b2337300ea6641de9098d57a  atd.initd"
 sha256sums="cb9af59c6a54edce9536ba629841055409d1f89d8ae26494727a97141fb4d5c1  at_3.1.16.orig.tar.gz
 0f2bc8e5dbbc55d2b45a1d1bd5bb753180539d37e298d062daf090b055e84494  10-parsetime.l-1.patch
 baad966d910912a2c516fcb13f6f09b032e3ed4f677158e943c99f35cd31d9d8  10-parsetime.y-1.patch
 9ef0710b066f02665819d03ac85c161398b8eef3558a4645481c1e926cb41f79  10-Makefile.in-1.patch
 53175bcc0524f37b47062fafdda28e3f8eb91d519ca0a184ca71bbebe72f969a  at.allow
-3e29a0e5495309dc4c59c66de03b49b2690d1b9748867ca9329370b7b91f5f1a  at.initd"
+3e29a0e5495309dc4c59c66de03b49b2690d1b9748867ca9329370b7b91f5f1a  atd.initd"
 sha512sums="d63132536d01153c4b38499b316c8a7980cd47a75b00fb5edc6e41f24345f97b55b20e5801d50f1bde2f337acc7bdb7e318456c241415e7b7bddee7e51e68ad5  at_3.1.16.orig.tar.gz
 5a8b180075be604e70d7ef311da9f143425a5e669c8fc5e58b43177fdbb0108e3ad4c5d1edea68c9b013fd92fbbad7f9dd1ea0da51ffb1e745ff9ffa244f3401  10-parsetime.l-1.patch
 130e1cf3c309516d7c3eed2af24a208f82db2367df7c594001695943e8408f77d6b33597e16e128b5c4a9732f3b8c2d5225e7c3b0265512b2b1a92b24b83fcbc  10-parsetime.y-1.patch
 40bdb7726b904a82125ce68971d995a623ee2fad42f7092ade227c08ba1bc07a50e184677b66c8b9375aa97370ef9dcd6f583a4f857962630e8cf51bdb7a9ef4  10-Makefile.in-1.patch
 21e1bc024bd76c76b68e04614c6def5b03fd4b658e59bfde065b464b520f463711b795455e3a5c81a8a1946b2bca2f83d6c19300a4d3326ce17959a7cbc0846a  at.allow
-fe5c075566ef1955e0eb4b4446fe1ea401940df6e0f29e4e2f1baf93e231214db58c707e99b16bb3a3c8c288a05fc390a44c6f09fde50d31f0ac631a98d86c2d  at.initd"
+fe5c075566ef1955e0eb4b4446fe1ea401940df6e0f29e4e2f1baf93e231214db58c707e99b16bb3a3c8c288a05fc390a44c6f09fde50d31f0ac631a98d86c2d  atd.initd"
diff --git a/testing/at/at.initd b/testing/at/at.initd
deleted file mode 100644
index 733e5d0..0000000
--- a/testing/at/at.initd
+++ /dev/null
_at_@ -1,27 +0,0 @@
-#!/sbin/openrc-run
-
-# init.d file for atd (command scheduling daemon)
-
-command="/usr/sbin/$SVCNAME"
-pidfile="/var/run/$SVCNAME.pid"
-
-depend() {
-	after localmount
-}
-
-start() {
-	ebegin "Starting command scheduling daemon ${SVCNAME}"
-		start-stop-daemon --start --quiet \
-			--pidfile ${pidfile} \
-			--exec ${command}
-	eend $?
-}
-
-stop() {
-	ebegin "Stopping command scheduling daemon ${name}"
-		start-stop-daemon --stop --quiet \
-			--pidfile ${pidfile} \
-			--exec ${command}
-	eend $?
-}
-
diff --git a/testing/at/atd.initd b/testing/at/atd.initd
new file mode 100644
index 0000000..733e5d0
--- /dev/null
+++ b/testing/at/atd.initd
_at_@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+
+# init.d file for atd (command scheduling daemon)
+
+command="/usr/sbin/$SVCNAME"
+pidfile="/var/run/$SVCNAME.pid"
+
+depend() {
+	after localmount
+}
+
+start() {
+	ebegin "Starting command scheduling daemon ${SVCNAME}"
+		start-stop-daemon --start --quiet \
+			--pidfile ${pidfile} \
+			--exec ${command}
+	eend $?
+}
+
+stop() {
+	ebegin "Stopping command scheduling daemon ${name}"
+		start-stop-daemon --stop --quiet \
+			--pidfile ${pidfile} \
+			--exec ${command}
+	eend $?
+}
+
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Feb 27 2016 - 08:16:35 GMT